Get a document
curl --request GET \
--url https://app.amber.ai/api/public/v1/brands/{brand}/documents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.amber.ai/api/public/v1/brands/{brand}/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.amber.ai/api/public/v1/brands/{brand}/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subjects": [
{
"subjectKind": "<string>",
"subjectKey": "<string>",
"establishedAs": "<string>",
"subjectLabel": "<string>"
}
],
"id": "<string>",
"ownerType": "<string>",
"ownerId": "<string>",
"visibility": "<string>",
"documentTypeId": "<string>",
"dataValue": "<string>",
"fileName": "<string>",
"mimeType": "<string>",
"fileSizeBytes": 123,
"channel": "<string>",
"source": "<string>",
"supersededByDocumentId": "<string>",
"supersededAt": "<string>",
"supersededReason": "<string>",
"senderRole": "<string>",
"issuerName": "<string>",
"extent": "<unknown>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"subjectKind": "<string>",
"subjectKey": "<string>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}{
"error": "<string>",
"errorCode": "<string>",
"details": "<unknown>"
}Documents
Get a document
GET
/
brands
/
{brand}
/
documents
/
{id}
Get a document
Authorizations
A brand-scoped or global amb_sk_... API key.
Path Parameters
Brand slug authorized by this API key.
Example:
"acme"
Document UUID or opaque legacy:... identifier.
Query Parameters
Available options:
ORDER, SHIPMENT, PAYMENT, PRODUCT, PRODUCT_OPTION, PRODUCT_VERSION, SKU, SAMPLE, SAMPLE_ROUND, QUOTE, QUOTE_NOTE, MATERIAL, BOM_COMPONENT, MEASUREMENT_TABLE, PARTNER, BRAND Required string length:
1 - 255Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Available options:
true, false Response
Visible entity.
Show child attributes
Show child attributes